Skip to content
Start here

List application and application type mappings

GET/accounts/{account_id}/gateway/app_types

List all application and application type mappings.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
Path ParametersExpand Collapse
account_id: string

Provide the identifier string.

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Indicate whether the API call was successful.

result: optional array of AppType
One of the following:
ZeroTrustGatewayApplication { id, application_type_id, created_at, name }
id: optional number

Identify this application. Only one application per ID.

application_type_id: optional number

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at: optional string
formatdate-time
name: optional string

Specify the name of the application or application type.

ZeroTrustGatewayApplicationType { id, created_at, description, name }
id: optional number

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at: optional string
formatdate-time
description: optional string

Provide a short summary of applications with this type.

name: optional string

Specify the name of the application or application type.

result_info: optional { count, page, per_page, total_count }
count: optional number

Indicate the total number of results for the requested service.

page: optional number

Indicate the current page within a paginated list of results.

per_page: optional number

Indicate the number of results per page.

total_count: optional number

Indicate the total results available without any search parameters.

List application and application type mappings

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/gateway/app_types \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "application_type_id": 0,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "name": "Facebook"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "application_type_id": 0,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "name": "Facebook"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}